type InventoryType = {
  trackingMethod: string;
  status: string;
  quantity: number;
}

export type OrderType = {
  name: string;
  formattedPrice: string;
  inventory: InventoryType
  mediaUrl: string;
}

const orders: Array<OrderType> = [
  {
    name: '#100201',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Paid',
      quantity: 1
    },
    mediaUrl: 'https://static.wixstatic.com/media/d911269bdf7972c9a59ba30440cb3789.jpg_128'
  },
  {
    name: '#100203',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Paid',
      quantity: 2
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_5c6d2cd3b71a41caa54309301e1dd0d7.jpg_128'
  },
  {
    name: '#100207',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Unpaid',
      quantity: 1
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_7153ff06297c484498f9d6662e26d6d5.jpg_128'
  },
  {
    name: '#100208',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Out of Stock',
      quantity: 0
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_e008aa7681f443b3be63a1fe86c10cfd.jpg_128'
  },
  {
    name: '#100209',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Paid',
      quantity: 3
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_f9de629d8c97416f82b398725bd49918.jpg_128'
  },
  {
    name: '#100205',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Unpaid',
      quantity: 0
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_1782572f1dfc49d397e830918d912568.jpg_128'
  },
  {
    name: '#100200',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Unpaid',
      quantity: 10
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_03906910d07749199b09e443ce9fed6c.jpg_128'
  },
  {
    name: '#100206',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Paid',
      quantity: 11
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_9d3e5b8fc70e4d2997806ece35e7de54.jpg_128'
  },
  {
    name: '#100212',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Unpaid',
      quantity: 10
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_db24e0568cdc4a82be0a8559fb123b55.jpg_128'
  },
  {
    name: '#100211',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Unpaid',
      quantity: 2
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_085a5f9575ba4b208f6091b26cbda4c4.jpg_128'
  },
  {
    name: '#10022',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Paid',
      quantity: 8
    },
    mediaUrl: 'https://static.wixstatic.com/media/cda177_82d66fece3e54a7aa10d49bda4d98259.jpg_128'
  },
  {
    name: '#10023',
    formattedPrice: '$19.99',
    inventory: {
      trackingMethod: 'status',
      status: 'Paid',
      quantity: 8
    },
    mediaUrl: 'https://static.wixstatic.com/media/84770f_c611ded729fd4461a1bb57134d4e9dd2.png_128'
  }
];

export default orders;
