import _ from 'lodash';
import React, {Component} from 'react';
import {ScrollView, StyleSheet} from 'react-native';
import {BorderRadiuses, View, Text, Typography, Colors} from 'react-native-ui-lib'; //eslint-disable-line

export default class BorderRadiusesScreen extends Component {
  render() {
    return (
      <ScrollView contentContainerStyle={styles.container}>
        <Text text30 grey10 marginB-20>
          Border Radius
        </Text>
        <View>
          {_.map(BorderRadiuses, (value, key) => {
            return (
              <View center key={key} height={150} width={150}>
                <View style={styles.labelContainer}>
                  <Text grey30 text50>
                    {key}
                  </Text>
                  <Text grey30 text70>
                    ({value})
                  </Text>
                </View>
                <View style={{borderRadius: value}} bg-yellow30 width='40%' height='40%' />
              </View>
            );
          })}
        </View>
      </ScrollView>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    paddingVertical: 25,
    alignItems: 'center',
    backgroundColor: Colors.grey80,
  },
  labelContainer: {
    position: 'absolute',
    top: 5,
    left: 5,
  },
});
